# FoundationClasses
TKAdvTools
Expr

# Expr_NamedExpression Class Reference

Describe an expression used by its name (as constants
or variables). A single reference is made to a
NamedExpression in every Expression (i.e. a
NamedExpression is shared).
.

`#include <Expr_NamedExpression.hxx>`

Inheritance diagram for Expr_NamedExpression:

[legend]

## Public Member Functions

Standard_EXPORT const TCollection_AsciiString & | GetName () const
Standard_EXPORT void | SetName (const TCollection_AsciiString &name)
virtual Standard_EXPORT Standard_Boolean | IsShareable () const
| Tests if <me> can be shared by one or more expressions or must be copied. This method redefines to a True value the GeneralExpression method. .
Standard_EXPORT Standard_Boolean | IsIdentical (const Handle(Expr_GeneralExpression)&Other) const
| Tests if <me> and <other> define the same expression. This method does not include any simplification before testing. .
Standard_EXPORT TCollection_AsciiString | String () const
| returns a string representing <me> in a readable way.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | myName

## Member Function Documentation

Standard_EXPORT const TCollection_AsciiString& Expr_NamedExpression::GetName | ( |  | ) | const

Standard_EXPORT const Expr_NamedExpression::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Expr_GeneralExpression. Reimplemented in Expr_NamedConstant, and Expr_NamedUnknown.

Standard_EXPORT Standard_Boolean Expr_NamedExpression::IsIdentical | ( | const Handle(Expr_GeneralExpression)& | Other | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

virtual Standard_EXPORT Standard_Boolean Expr_NamedExpression::IsShareable | ( |  | ) | const`[virtual]`

| Reimplemented from Expr_GeneralExpression.

Standard_EXPORT void Expr_NamedExpression::SetName | ( | const TCollection_AsciiString & | name | ) |

Standard_EXPORT TCollection_AsciiString Expr_NamedExpression::String | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

## Field Documentation

TCollection_AsciiString Expr_NamedExpression::myName `[private]`

The documentation for this class was generated from the following file:

- Expr_NamedExpression.hxx